# Standards: 0.11
---

# 9.3.13 Ensure SSH access is limited

- include: stat_sshd_config.yml
  tags:
    - level-1
    - section-9
    - "9.3.13"
    - scored

- name: 9.3.13 - Configure SSH AllowUsers
  lineinfile:
    regexp: "^#?AllowUsers\\s+"
    line: "AllowUsers {{ cis_sshd_allow_users }}"
    dest: "/etc/ssh/sshd_config"
  when:
    - sshd_config.stat.exists
    - cis_sshd_allow_users is defined and cis_sshd_allow_users|trim != ""
  notify: Restart sshd
  tags:
    - level-1
    - section-9
    - "9.3.13"
    - scored

- name: 9.3.13 - Configure SSH AllowGroups
  lineinfile:
    regexp: "^#?AllowGroups\\s+"
    line: "AllowGroups {{ cis_sshd_allow_groups }}"
    dest: "/etc/ssh/sshd_config"
  when:
    - sshd_config.stat.exists
    - cis_sshd_allow_groups is defined and cis_sshd_allow_groups|trim != ""
  notify: Restart sshd
  tags:
    - level-1
    - section-9
    - "9.3.13"
    - scored

- name: 9.3.13 - Configure SSH DenyUsers
  lineinfile:
    regexp: "^#?DenyUsers\\s+"
    line: "DenyUsers {{ cis_sshd_deny_users }}"
    dest: "/etc/ssh/sshd_config"
  when:
    - sshd_config.stat.exists
    - cis_sshd_deny_users is defined and cis_sshd_deny_users|trim != ""
  notify: Restart sshd
  tags:
    - level-1
    - section-9
    - "9.3.13"
    - scored

- name: 9.3.13 - Configure SSH DenyGroups
  lineinfile:
    regexp: "^#?DenyGroups\\s+"
    line: "DenyGroups {{ cis_sshd_deny_groups }}"
    dest: "/etc/ssh/sshd_config"
  when:
    - sshd_config.stat.exists
    - cis_sshd_deny_groups is defined and cis_sshd_deny_groups|trim != ""
  notify: Restart sshd
  tags:
    - level-1
    - section-9
    - "9.3.13"
    - scored